抓取https报错,是php版本的原因吗

Ms全周
  • 6

clipboard.png

回复
阅读 549
3 个回答

1.链接前后有空格,麻烦处理一下
2.https的链接请使用curl请求。fopen和file_get_contents这种我之前请求https也有问题

可以分别试试一下几种情况
1.windows下的PHP,只需要到php.ini中把extension=php_openssl.dll前面的;删掉,重启服务就可以了。
2.linux下的PHP,就必须安装openssl模块,安装好了以后就可以访问了。
3.如果服务器你不能修改配置的话,那么就使用curl函数来替代file_get_contents函数,当然不是简单的替换啊。还有相应的参数配置才能正常使用curl函数。

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
你知道吗?

宣传栏